'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const tailwindConfig = require('./tailwind-config-cece8e4d.cjs');
const copyAssets = require('./copy-assets.cjs');
const assets_index = require('./assets/index.cjs');
const cn = require('./cn.cjs');
const assets_fonts_index = require('./assets/fonts/index.cjs');
const assets_images_index = require('./assets/images/index.cjs');
require('fs');
require('path');

const sliceAddress = (address, startSliceBy = 6, endSliceBy) => {
  if (!address) {
    return "";
  }
  let sliceAddress2 = "";
  endSliceBy = endSliceBy || startSliceBy;
  if (address.length < startSliceBy + endSliceBy) {
    return address;
  }
  sliceAddress2 = address.length > startSliceBy + 2 ? `${address.slice(0, startSliceBy + 2)}...${address.slice(-endSliceBy)}` : address;
  return sliceAddress2;
};

exports.borderRadius = tailwindConfig.borderRadius;
exports.boxShadows = tailwindConfig.boxShadows;
exports.colorPalette = tailwindConfig.colorPalette;
exports.fontSizes = tailwindConfig.fontSizes;
exports.fontWeights = tailwindConfig.fontWeights;
exports.heights = tailwindConfig.heights;
exports.hslColorMap = tailwindConfig.hslColorMap;
exports.lineHeights = tailwindConfig.lineHeights;
exports.neutral1 = tailwindConfig.neutral1;
exports.neutral2 = tailwindConfig.neutral2;
exports.neutral3 = tailwindConfig.neutral3;
exports.scales = tailwindConfig.scales;
exports.spacing = tailwindConfig.spacing;
exports.copyAssets = copyAssets.copyAssets;
exports.assets = assets_index.assets;
exports.cn = cn.cn;
exports.fonts = assets_fonts_index.fonts;
exports.images = assets_images_index.images;
exports.sliceAddress = sliceAddress;
